VERIFIED SOLUTION i

How to call Vertical Mapper Libraries in MapInfo Pro 16

Products Affected: Vertical Mapper, MapInfo Pro 16
 
MapInfo Pro™ x64 does not support the use of Vertical Mapper SDK (32 bit).

If you need to continue to use various methods (i.e. vmPointInspection), it has to be done with a 32 bit version of MapInfo Professional.
UPDATED:  October 31, 2017